Foreman (debian) dependencies Issue

05/06/2013 05:36 PM - Ashish Jaiswal

Status: Resolved   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Packaging   

Target version: 1.2.0   

Difficulty: easy Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While installing packages of foreman on new debian[squeeze] system, getting this error

0 packages upgraded, 1 newly installed, 0 to remove and 1 not upgraded.

Need to get 0 B/9902 kB of archives. After unpacking 17.4 MB will be used.

Selecting previously deselected package foreman.

(Reading database ... 24102 files and directories currently installed.)

Unpacking foreman (from .../foreman_1.1.1+debian1_amd64.deb) ...

Setting up foreman (1.1.1+debian1) ...

WARNING: abstract-1.0.0 has an invalid nil value for @cert_chain

WARNING: builder-2.1.2 has an invalid nil value for @cert_chain

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 5

configured to not write apport reports

Errors were encountered while

processing:

foreman

E: Sub-process /usr/bin/dpkg returned an error code (1)

A package failed to install. Trying to recover:

Setting up foreman (1.1.1+debian1) ...

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 5

Errors were encountered while processing:

foreman

 After running it in debug mode seems to be that "make" command was missing, Installing it fixed it.

Request you to add build-essential as a dependency to foreman package.

Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

        /usr/bin/ruby1.8 extconf.rb

creating Makefile

make

sh: make: not found

Gem files will remain installed in /usr/share/foreman/vendor/ruby/1.8/gems/json-1.7.7 for inspecti

on.

Results logged to /usr/share/foreman/vendor/ruby/1.8/gems/json-1.7.7/ext/json/ext/generator/gem_ma

ke.out 

History

#1 - 05/06/2013 05:48 PM - Greg Sutcliffe

- Subject changed from Foremna dependencies Issue to Foreman (debian) dependencies Issue

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe
- Target version set to 1.2.0

Thanks! I'll try and get that fixed asap.

#2 - 05/17/2013 07:43 AM - Greg Sutcliffe

- Status changed from Assigned to Resolved

fixed in foreman-rpms: ce03b39d75131b6577ab8634e89e6ea07fc33cc8

#3 - 10/15/2018 01:46 PM - Tomer Brisker

- Category changed from 21 to Packaging
